package com.ruoyi.tcZz.service;

import com.ruoyi.tcZz.domain.TcBjsjwp;
import com.ruoyi.tcZz.domain.TcWljg;

import java.util.List;

/**
 * 本级上级网评指令比例（月）Service接口
 *
 * @author ruoyi
 * @date 2023-10-13
 */
public interface ITcBjsjwpService {
    /**
     * 查询本级上级网评指令比例（月）
     *
     * @param id 本级上级网评指令比例（月）主键
     * @return 本级上级网评指令比例（月）
     */
    public TcBjsjwp selectTcBjsjwpById(Long id);

    /**
     * 查询本级上级网评指令比例（月）列表
     *
     * @param tcBjsjwp 本级上级网评指令比例（月）
     * @return 本级上级网评指令比例（月）集合
     */
    public List<TcBjsjwp> selectTcBjsjwpList(TcBjsjwp tcBjsjwp);

    /**
     * 新增本级上级网评指令比例（月）
     *
     * @param tcBjsjwp 本级上级网评指令比例（月）
     * @return 结果
     */
    public int insertTcBjsjwp(TcBjsjwp tcBjsjwp);

    /**
     * 修改本级上级网评指令比例（月）
     *
     * @param tcBjsjwp 本级上级网评指令比例（月）
     * @return 结果
     */
    public int updateTcBjsjwp(TcBjsjwp tcBjsjwp);

    /**
     * 批量删除本级上级网评指令比例（月）
     *
     * @param ids 需要删除的本级上级网评指令比例（月）主键集合
     * @return 结果
     */
    public int deleteTcBjsjwpByIds(Long[] ids);

    /**
     * 删除本级上级网评指令比例（月）信息
     *
     * @param id 本级上级网评指令比例（月）主键
     * @return 结果
     */
    public int deleteTcBjsjwpById(Long id);

    /**
     * 导入本级上级网评指令比例（月）信息
     *
     * @return 结果
     */
    public String importUser(List<TcBjsjwp> tcBjsjwpList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
